From 6c073922a7b04fe520d8350ab4da03d6c8207703 Mon Sep 17 00:00:00 2001
From: Dmitry Mikhin <dmikhin@webmonitorx.ru>
Date: Fri, 26 Jul 2024 18:12:25 +0300
Subject: [PATCH] gperf

---
 config.h                                   | 1 +
 src/bool-array.cc                          | 2 +-
 src/bool-array.h                           | 2 +-
 src/{bool-array.icc => bool-array.inc}     | 0
 src/keyword-list.cc                        | 2 +-
 src/keyword-list.h                         | 2 +-
 src/{keyword-list.icc => keyword-list.inc} | 0
 src/keyword.cc                             | 2 +-
 src/keyword.h                              | 2 +-
 src/{keyword.icc => keyword.inc}           | 0
 src/options.cc                             | 2 +-
 src/options.h                              | 2 +-
 src/{options.icc => options.inc}           | 0
 src/positions.cc                           | 2 +-
 src/positions.h                            | 2 +-
 src/{positions.icc => positions.inc}       | 0
 16 files changed, 11 insertions(+), 10 deletions(-)
 create mode 100644 config.h
 rename src/{bool-array.icc => bool-array.inc} (100%)
 rename src/{keyword-list.icc => keyword-list.inc} (100%)
 rename src/{keyword.icc => keyword.inc} (100%)
 rename src/{options.icc => options.inc} (100%)
 rename src/{positions.icc => positions.inc} (100%)

diff --git config.h config.h
new file mode 100644
index 0000000..8b13789
--- /dev/null
+++ config.h
@@ -0,0 +1 @@
+
diff --git src/bool-array.cc src/bool-array.cc
index d0e3364..e1c27a5 100644
--- src/bool-array.cc
+++ src/bool-array.cc
@@ -39,7 +39,7 @@ Bool_Array::~Bool_Array ()
 #ifndef __OPTIMIZE__
 
 #define INLINE /* not inline */
-#include "bool-array.icc"
+#include "bool-array.inc"
 #undef INLINE
 
 #endif /* not defined __OPTIMIZE__ */
diff --git src/bool-array.h src/bool-array.h
index 33472fe..0a9d824 100644
--- src/bool-array.h
+++ src/bool-array.h
@@ -69,7 +69,7 @@ private:
 #include <string.h>
 #include "options.h"
 #define INLINE inline
-#include "bool-array.icc"
+#include "bool-array.inc"
 #undef INLINE
 
 #endif
diff --git src/bool-array.icc src/bool-array.inc
similarity index 100%
rename from src/bool-array.icc
rename to src/bool-array.inc
diff --git src/keyword-list.cc src/keyword-list.cc
index 235edd5..abca269 100644
--- src/keyword-list.cc
+++ src/keyword-list.cc
@@ -167,7 +167,7 @@ mergesort_list (KeywordExt_List *list,
 #ifndef __OPTIMIZE__
 
 #define INLINE /* not inline */
-#include "keyword-list.icc"
+#include "keyword-list.inc"
 #undef INLINE
 
 #endif /* not defined __OPTIMIZE__ */
diff --git src/keyword-list.h src/keyword-list.h
index ca2ada6..8a9bfde 100644
--- src/keyword-list.h
+++ src/keyword-list.h
@@ -75,7 +75,7 @@ extern KeywordExt_List * mergesort_list (KeywordExt_List *list,
 #ifdef __OPTIMIZE__
 
 #define INLINE inline
-#include "keyword-list.icc"
+#include "keyword-list.inc"
 #undef INLINE
 
 #endif
diff --git src/keyword-list.icc src/keyword-list.inc
similarity index 100%
rename from src/keyword-list.icc
rename to src/keyword-list.inc
diff --git src/keyword.cc src/keyword.cc
index 82f1077..fd67dc1 100644
--- src/keyword.cc
+++ src/keyword.cc
@@ -153,7 +153,7 @@ char empty_string[1] = "";
 #ifndef __OPTIMIZE__
 
 #define INLINE /* not inline */
-#include "keyword.icc"
+#include "keyword.inc"
 #undef INLINE
 
 #endif /* not defined __OPTIMIZE__ */
diff --git src/keyword.h src/keyword.h
index e4421cf..02fda31 100644
--- src/keyword.h
+++ src/keyword.h
@@ -106,7 +106,7 @@ extern char empty_string[1];
 #ifdef __OPTIMIZE__
 
 #define INLINE inline
-#include "keyword.icc"
+#include "keyword.inc"
 #undef INLINE
 
 #endif
diff --git src/keyword.icc src/keyword.inc
similarity index 100%
rename from src/keyword.icc
rename to src/keyword.inc
diff --git src/options.cc src/options.cc
index ec5cd5f..85c9f02 100644
--- src/options.cc
+++ src/options.cc
@@ -1088,7 +1088,7 @@ There is NO WARRANTY, to the extent permitted by law.\n\
 #ifndef __OPTIMIZE__
 
 #define INLINE /* not inline */
-#include "options.icc"
+#include "options.inc"
 #undef INLINE
 
 #endif /* not defined __OPTIMIZE__ */
diff --git src/options.h src/options.h
index 2ac53b8..09df009 100644
--- src/options.h
+++ src/options.h
@@ -295,7 +295,7 @@ extern Options option;
 #ifdef __OPTIMIZE__
 
 #define INLINE inline
-#include "options.icc"
+#include "options.inc"
 #undef INLINE
 
 #endif
diff --git src/options.icc src/options.inc
similarity index 100%
rename from src/options.icc
rename to src/options.inc
diff --git src/positions.cc src/positions.cc
index 1fb6883..064d269 100644
--- src/positions.cc
+++ src/positions.cc
@@ -169,7 +169,7 @@ Positions::print () const
 #ifndef __OPTIMIZE__
 
 #define INLINE /* not inline */
-#include "positions.icc"
+#include "positions.inc"
 #undef INLINE
 
 #endif /* not defined __OPTIMIZE__ */
diff --git src/positions.h src/positions.h
index 05c3cf3..bfd25da 100644
--- src/positions.h
+++ src/positions.h
@@ -165,7 +165,7 @@ private:
 
 #include <string.h>
 #define INLINE inline
-#include "positions.icc"
+#include "positions.inc"
 #undef INLINE
 
 #endif
diff --git src/positions.icc src/positions.inc
similarity index 100%
rename from src/positions.icc
rename to src/positions.inc
-- 
2.45.2

